Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77766 - rpm -e --justdb ... stat64's a lot of files.
Summary: rpm -e --justdb ... stat64's a lot of files.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-13 09:43 UTC by Aleksey Nogin
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-12-27 21:12:11 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 2002-11-13 09:43:22 UTC
Shouldn't "rpm -e --justdb ..." just work on the db and not look around in the fs?

Strace shows a lot of stat64 calls - both on files belonging to packages being
erased from the db and on files belonging to packages that are being kept.

Comment 1 Jeff Johnson 2002-11-15 18:21:14 UTC
stat64's are needed for fingerprint calculation,
necessary to compute filestate tag before adding
to the database (even with --justdb).

Comment 2 Aleksey Nogin 2002-11-16 17:43:07 UTC
> ... before adding to the database ...

But that's my point - I was not *adding* anything - this was a -e!

Comment 3 Jeff Johnson 2003-12-27 21:12:11 UTC
stats are needed for fingerprints on erase too.


Note You need to log in before you can comment on or make changes to this bug.